Subject: bug#65924: closed (Re: bug#65924: git searches coreutils and util-linux commands in PATH)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 09 Oct 2023 19:46:02 +0000

Your bug report

#65924: git searches coreutils and util-linux commands in PATH

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
65924: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=65924
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#65924: git searches coreutils and util-linux commands in PATH
From: Maxim Cournoyer <[email-masked]>
To: Liliana Marie Prikler <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>, [email-masked]
Date: Mon, 09 Oct 2023 15:44:31 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Liliana Marie Prikler <[email-masked]> writes:

> Am Montag, dem 09.10.2023 um 15:25 -0400 schrieb Maxim Cournoyer:
>> Hi Liliana,
>> 
>> Liliana Marie Prikler <[email-masked]> writes:
>> 
>> > Am Montag, dem 09.10.2023 um 14:21 -0400 schrieb Maxim Cournoyer:
>> > > Hello,
>> > > 
>> > > Liliana Marie Prikler <[email-masked]> writes:
>> > > 
>> > > > [...]
>> > > > If you need me to reduce it to four letters, yes, LGTM.
>> > > 
>> > > Explicit is better than implicit.  I've been thinking to document
>> > > this in our contributing section; e.g. a reviewed commit must
>> > > have the 'LGTM' from the reviewer.  If a series is LGTM, it needs
>> > > to be implicitly mentioned with 'this series LGTM'.  That may
>> > > sound silly, but I think it'd simplify reviewer/submitters
>> > > interactions.
>> > s/implicitly/explicitly/?
>> 
>> Explicit, indeed.
>> 
>> > I don't necessarily agree, but it's not a hard disagree either. 
>> > I'll try to keep that in mind at least when reviewing your patches
>> > to not cause confusion.
>> 
>> OK.  One place where this becomes more important is when the send-
>> email cc hook includes people partially to a series. A LGTM on a
>> single message in this case could be misinterpreted for the whole
>> series.  It's best to document the expectations and codify these
>> often used signals, in my opinion.
> I personally prefer to comment to all individual patches or use the
> series starter for "this series LGTM", but to recap; 1 and 2 L'd GTM
> (with a small caveat for 1) already and we discussed 3 in IRC, so LGTM
> for the series.

That's a good idea.

Thanks for the heads-up!  I've now installed this series to
core-updates.  Closing!

-- 
Thanks,
Maxim

Subject: git searches coreutils and util-linux commands in PATH
From: Maxim Cournoyer <[email-masked]>
To: bug-guix <[email-masked]>
Date: Wed, 13 Sep 2023 14:00:09 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Attempting to use git-minimal in a --pure environment, I stumbled upon:

--8<---------------cut here---------------start------------->8---
/gnu/store/grc79ijx09nygvjh67cpk3g405nzr801-profile/libexec/git-core/git-submodule: line 7: basename: command not found
/gnu/store/grc79ijx09nygvjh67cpk3g405nzr801-profile/libexec/git-core/git-submodule: line 7: sed: command not found
/gnu/store/grc79ijx09nygvjh67cpk3g405nzr801-profile/libexec/git-core/git-sh-setup: line 77: basename: command not found
/gnu/store/grc79ijx09nygvjh67cpk3g405nzr801-profile/libexec/git-core/git-sh-setup: line 77: sed: command not found
/gnu/store/grc79ijx09nygvjh67cpk3g405nzr801-profile/libexec/git-core/git-sh-setup: line 292: uname: command not found
/gnu/store/grc79ijx09nygvjh67cpk3g405nzr801-profile/libexec/git-core/git-submodule: line 613: sed: command not found
/gnu/store/grc79ijx09nygvjh67cpk3g405nzr801-profile/libexec/git-core/git-submodule: line 613: cmd_: command not found
☒ git clone exited 127
--8<---------------cut here---------------end--------------->8---

The 'git' command should be wrapped to include these in its PATH.

-- 
Thanks,
Maxim